Skip to end of metadata
Go to start of metadata
Table of Contents

In order to run Magento with Koongo Connector your server must meet some basic software requirements. Here you may find the complete list of system requirements.

Troubleshooting

If you have found any errors or bugs in your module version, please check section Troubleshooting first.

Configuration check

If you are experiencing some problem with running Koongo Connector, we encourage you to test your server for compatibility:

After connector installation, point your browser to URL: 

New feature of version 6.3.0.0

If you got 404 error Not Found, it means that you are using connector version 6.2.1.0 or older, since this feature was introduced in connector version 6.3.0.0. Thus, I you are using older connector version, we encourage you to upgrade. Alternatively, run the compatibility test script as described bellow.

Alternatively, if you have not yet installed the connector, follow these steps:

  1. Upload the extracted koongo-check.php file to the Magento directory on your server
  2. In your browser navigate to this page:

Reguired libraries

Curl

Install the curl extension for PHP.

Mbstring / Iconv

XLST library

Please ask your hosting provider or server administrator to allow or install XLST PHP library. Koongo Connector can't work without this extension.

Following error means that XLST library is not installed:

  • Can't load class XsltProcessor. Please install/enable XSLT transformation library to/on your server. What do i need to do exactly?

Memory limit

You need to setup Memory limit value as 256M - this value is reguired by Magento by default. You do this in php.ini or .htaccess. Ask your hosting provider.

Cron

  • No labels